Bug Hunting Session
Bug 91450 - database browser not usable - endless loop??
Summary: database browser not usable - endless loop??
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: x86-64 (AMD64) Windows (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords:
Depends on:
Blocks: RenderContext
  Show dependency treegraph
 
Reported: 2015-05-22 07:43 UTC by Thomas Krumbein
Modified: 2016-10-25 19:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
no visible entries in db browser - endlee loop (710.87 KB, image/png)
2015-05-22 07:43 UTC, Thomas Krumbein
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Krumbein 2015-05-22 07:43:51 UTC
Created attachment 115797 [details]
no visible entries in db browser - endlee loop

- Open the database browser in any modul (F4)
- Select left the biblip Datea base, choose "tables", mark the only existing table
- data in table view right appears, disappears in very quick changes (flickern) - datas not readable, nothing else is working
 (see picture example "author" - flickering is too quick for screenshot:))

Nothing else works now - after a spezific time crash when clicking on any icon.
Comment 1 Thomas Krumbein 2015-05-22 07:45:46 UTC
My System:  Win 8.1 64 bit, LibO 5.0.0.0.Beta1 64bit.
Comment 2 Buovjaga 2015-05-22 08:16:13 UTC
Could repro the loopy flicker, but I could not get it to crash, when I ran Windbg.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 83eb114394879cbfd073322a51c47d02553c1fcf
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-22_06:33:51
Locale: fi-FI (fi_FI)
Comment 3 k-j 2015-05-22 08:20:33 UTC
Can confrim the flickery in WIN10 Prev 64bit with LibO 5.0.0 Beta1 64bit
Comment 4 Michael Meeks 2015-05-22 16:40:47 UTC
Interesting; will take a look - thanks :-)
Comment 5 Commit Notification 2015-05-27 07:24:29 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a67be04ba374a6e4f3c5abe4de2ab3cf86e7b538

tdf#91450 fix infinite invalidation loop

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-05-27 07:26:55 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9116e4b7d312d67c075469158cb8eceabe63dba&h=libreoffice-5-0

tdf#91450 fix infinite invalidation loop

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Michael Meeks 2015-06-13 16:56:43 UTC
I guess Tomaz just forgot to close this =) please do check & marked Validated.
Thanks for reporting.
Comment 8 Thomas Krumbein 2015-06-13 17:27:16 UTC
Yes, can confirm. Bug is fixed in

Version: 5.0.0.0.beta3 (x64)
Build-ID: 96345c15d8ab19c49014f055fe41ba8e1f421e5c
Gebietsschema: de-DE (de_DE)
Comment 9 Buovjaga 2015-06-13 17:33:14 UTC
Thanks for verifying, marking as such.